<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="generator" content="https://txt2tags.org">
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
blockquote{margin: 1em 2em; border-left: 2px solid #999;
  font-style: oblique; padding-left: 1em;}
blockquote:first-letter{margin: .2em .1em .1em 0; font-size: 160%; font-weight: bold;}
blockquote:first-line{font-weight: bold;}
body{font-family: sans-serif;}
hr{background-color:#000;border:0;color:#000;}
hr.heavy{height:2px;}
hr.light{height:1px;}
img{border:0;display:block;}
img.right{margin:0 0 0 auto;}
img.center{border:0;margin:0 auto;}
table{border-collapse: collapse;}
table th,table td{padding: 3px 7px 2px 7px;}
table th{background-color: lightgrey;}
table.center{margin-left:auto; margin-right:auto;}
.center{text-align:center;}
.right{text-align:right;}
.left{text-align:left;}
.tableborder,.tableborder td,.tableborder th{border:1px solid #000;}
.underline{text-decoration:underline;}
</style>
</head>
<body>
<header>
<hgroup>
</hgroup>
</header>


<div class="body">

<section~A~>
<h1></h1>
<section>
<h2>Syntax: Image name inside brackets: [img]</h2>

<p>
<img class="center" src="../../samples/img/t2tbutton.png" alt="">
</p>

</section>
<section>
<h2>Syntax: Image pointing to a link: [[img] link]</h2>

<p>
<a href="http://txt2tags.org"><img class="center" src="../../samples/img/t2tbutton.png" alt=""></a>
</p>

</section>
<section>
<h2>Align: Image position is preserved when inside paragraph</h2>

<p>
<img class="left" src="../../samples/img/t2tbutton.png" alt=""> Image at the line beginning.
</p>
<p>
Image in the middle <img class="center" src="../../samples/img/t2tbutton.png" alt=""> of the line.
</p>
<p>
Image at the line end. <img class="right" src="../../samples/img/t2tbutton.png" alt="">
</p>

</section>
<section>
<h2>Align: Image alone with spaces around is aligned</h2>

<p>
<img class="left" src="../../samples/img/t2tbutton.png" alt="">   
                <img class="center" src="../../samples/img/t2tbutton.png" alt="">  
                                    <img class="right" src="../../samples/img/t2tbutton.png" alt="">
</p>

</section>
<section>
<h2>Test: Two glued images with no spaces (left &amp; right)</h2>

<p>
<img class="left" src="../../samples/img/t2tbutton.png" alt=""><img class="right" src="../../samples/img/t2tbutton.png" alt="">
</p>

</section>
<section>
<h2>Test: Various per line</h2>

<p>
Images <img class="center" src="../../samples/img/t2tbutton.png" alt=""> mixed <img class="center" src="../../samples/img/t2tbutton.png" alt=""> with <img class="center" src="../../samples/img/t2tbutton.png" alt=""> text.
</p>
<p>
Images glued together: <img class="center" src="../../samples/img/t2tbutton.png" alt=""><img class="center" src="../../samples/img/t2tbutton.png" alt=""><img class="center" src="../../samples/img/t2tbutton.png" alt="">.
</p>

</section>
<section>
<h2>Invalid: Spaces inside are not allowed</h2>

<p>
[../../samples/img/t2tbutton.png ]
</p>
<p>
[ ../../samples/img/t2tbutton.png]
</p>
<p>
[ ../../samples/img/t2tbutton.png ]
</p>
</section>
</section>
</div>

</body></html>
